Bug 28293 - Unexpected symbol error when two interpolated strings are used with the ternary operator
Summary: Unexpected symbol error when two interpolated strings are used with the terna...
Status: RESOLVED FIXED
Alias: None
Product: Compilers
Classification: Mono
Component: C# (show other bugs)
Version: unspecified
Hardware: PC Windows
: --- normal
Target Milestone: ---
Assignee: Marek Safar
URL:
Depends on:
Blocks:
 
Reported: 2015-03-21 13:02 UTC by bawNg
Modified: 2015-03-25 11:38 UTC (History)
2 users (show)

Tags:
Is this bug a regression?: ---
Last known good build:


Attachments

Description bawNg 2015-03-21 13:02:53 UTC
Reproduced using:

>using System;
>
>public static class Test {
>	public static void Main() {
>		Console.WriteLine(true ? $"{1:0.00}" : $"bar");
>	}
>}

This fails during compilation:
>error CS1525: Unexpected symbol `end-of-file'
Comment 1 Marek Safar 2015-03-25 11:38:17 UTC
Fixed in master and mono 4.0

Notice (2018-05-24): bugzilla.xamarin.com is now in read-only mode.

Please join us on Visual Studio Developer Community and in the Xamarin and Mono organizations on GitHub to continue tracking issues. Bugzilla will remain available for reference in read-only mode. We will continue to work on open Bugzilla bugs, copy them to the new locations as needed for follow-up, and add the new items under Related Links.


Create a new report for Bug 28293 on Developer Community or GitHub if you have new information to add and do not yet see a matching report.

  • Export the original title and description: Developer Community HTML or GitHub Markdown
  • Copy the title and description into the new report. Adjust them to be up-to-date if needed.
  • Add your new information.

In special cases on GitHub you might also want the comments: GitHub Markdown with public comments


Our sincere thanks to everyone who has contributed on this bug tracker over the years. Thanks also for your understanding as we make these adjustments and improvements for the future.

Related Links: